libetonyek::IWASnappyStream Class Reference documentation

libetonyek::IWASnappyStream Class Reference

`#include <IWASnappyStream.h>`

Inheritance diagram for libetonyek::IWASnappyStream:

## Public Member Functions
| IWASnappyStream (const RVNGInputStreamPtr_t &stream)
| ~IWASnappyStream () override
bool | isStructured () override
unsigned | subStreamCount () override
const char * | subStreamName (unsigned id) override
bool | existsSubStream (const char *name) override
librevenge::RVNGInputStream * | getSubStreamByName (const char *name) override
librevenge::RVNGInputStream * | getSubStreamById (unsigned id) override
const unsigned char * | read (unsigned long numBytes, unsigned long &numBytesRead) override
int | seek (long offset, librevenge::RVNG_SEEK_TYPE seekType) override
long | tell () override
bool | isEnd () override

## Static Public Member Functions
static RVNGInputStreamPtr_t | uncompressBlock (const RVNGInputStreamPtr_t &block)

## Private Attributes
RVNGInputStreamPtr_t | m_stream

## Constructor & Destructor Documentation

## ◆ IWASnappyStream()

libetonyek::IWASnappyStream::IWASnappyStream | ( | const RVNGInputStreamPtr_t & | stream | ) |
| explicit

Referenced by IWASnappyStream().

## ◆ ~IWASnappyStream()

libetonyek::IWASnappyStream::~IWASnappyStream | ( |  | ) |
| override

## Member Function Documentation

## ◆ existsSubStream()

bool libetonyek::IWASnappyStream::existsSubStream | ( | const char * | name | ) |
| override

## ◆ getSubStreamById()

librevenge::RVNGInputStream * libetonyek::IWASnappyStream::getSubStreamById | ( | unsigned | id | ) |
| override

## ◆ getSubStreamByName()

librevenge::RVNGInputStream * libetonyek::IWASnappyStream::getSubStreamByName | ( | const char * | name | ) |
| override

## ◆ isEnd()

bool libetonyek::IWASnappyStream::isEnd | ( |  | ) |
| override

## ◆ isStructured()

bool libetonyek::IWASnappyStream::isStructured | ( |  | ) |
| override

## ◆ read()

const unsigned char * libetonyek::IWASnappyStream::read | ( | unsigned long | numBytes,
|  | unsigned long & | numBytesRead )
| override

## ◆ seek()

int libetonyek::IWASnappyStream::seek | ( | long | offset,
|  | librevenge::RVNG_SEEK_TYPE | seekType )
| override

## ◆ subStreamCount()

unsigned libetonyek::IWASnappyStream::subStreamCount | ( |  | ) |
| override

## ◆ subStreamName()

const char * libetonyek::IWASnappyStream::subStreamName | ( | unsigned | id | ) |
| override

## ◆ tell()

long libetonyek::IWASnappyStream::tell | ( |  | ) |
| override

## ◆ uncompressBlock()

RVNGInputStreamPtr_t libetonyek::IWASnappyStream::uncompressBlock | ( | const RVNGInputStreamPtr_t & | block | ) |
| static

## Member Data Documentation

## ◆ m_stream

RVNGInputStreamPtr_t libetonyek::IWASnappyStream::m_stream
| private

Referenced by isEnd(), IWASnappyStream(), read(), seek(), and tell().

The documentation for this class was generated from the following files:

- IWASnappyStream.h
- IWASnappyStream.cpp